Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.regexp
Class RegexpTunnel

    java.lang.Object
      org.apache.regexp.RegexpTunnel

    public class RegexpTunnel

extends Object

This class exists as a gateway to access useful Jakarta Regexp package protected data.

Constructor Summary
`RegexpTunnel()`

Method Summary
`static char[]` | `getPrefix(RE regexp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexpTunnel

    public RegexpTunnel()

Method Detail

### getPrefix

    public static char[] getPrefix(RE regexp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.